## EMailSignatureEditor EMailSignatureEditor |

## Functions

void | e_mail_signature_editor_new ()
GtkWidget * | e_mail_signature_editor_new_finish ()
EHTMLEditor * | e_mail_signature_editor_get_editor ()
EFocusTracker * | e_mail_signature_editor_get_focus_tracker ()
ESourceRegistry * | e_mail_signature_editor_get_registry ()
ESource * | e_mail_signature_editor_get_source ()
void | e_mail_signature_editor_commit ()
gboolean | e_mail_signature_editor_commit_finish ()

## Properties

EHTMLEditor * | editor | Read / Write / Construct Only
EFocusTracker * | focus-tracker | Read
ESourceRegistry * | registry | Read / Write / Construct Only
ESource * | source | Read / Write / Construct Only

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── EMailSignatureEditor

## Description

## Functions

### e_mail_signature_editor_new ()

    void
    e_mail_signature_editor_new (ESourceRegistry *registry,
                                 ESource *source,
                                 GAsyncReadyCallback callback,
                                 gpointer user_data);

### e_mail_signature_editor_new_finish ()

    GtkWidget *
    e_mail_signature_editor_new_finish (GAsyncResult *result,
                                        GError **error);

### e_mail_signature_editor_get_editor ()

    EHTMLEditor *
    e_mail_signature_editor_get_editor (EMailSignatureEditor *editor);

### e_mail_signature_editor_get_focus_tracker ()

    EFocusTracker *
    e_mail_signature_editor_get_focus_tracker
                                   (EMailSignatureEditor *editor);

### e_mail_signature_editor_get_registry ()

    ESourceRegistry *
    e_mail_signature_editor_get_registry (EMailSignatureEditor *editor);

### e_mail_signature_editor_get_source ()

    ESource *
    e_mail_signature_editor_get_source (EMailSignatureEditor *editor);

### e_mail_signature_editor_commit ()

    void
    e_mail_signature_editor_commit (EMailSignatureEditor *editor,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

### e_mail_signature_editor_commit_finish ()

    gboolean
    e_mail_signature_editor_commit_finish (EMailSignatureEditor *editor,
                                           GAsyncResult *result,
                                           GError **error);

## Types and Values

## Property Details

### The `“editor”` property

      “editor”                   EHTMLEditor *

Flags: Read / Write / Construct Only

### The `“focus-tracker”` property

      “focus-tracker”            EFocusTracker *

Flags: Read

### The `“registry”` property

      “registry”                 ESourceRegistry *

Data source registry.

Flags: Read / Write / Construct Only

### The `“source”` property

      “source”                   ESource *

Flags: Read / Write / Construct Only